Bug 397972

Summary: unable to navigate in DK during flickr export
Product: digikam Reporter: fch22 <frederic.chaume>
Component: Plugin-WebService-FlickrAssignee: Digikam Developers <digikam-bugs-null>
Status: RESOLVED FIXED    
Severity: major CC: frederic.chaume
Priority: NOR    
Version: 6.0.0   
Target Milestone: ---   
Platform: Microsoft Windows   
OS: Microsoft Windows   
Latest Commit: Version Fixed In: 6.0.0

Description fch22 2018-08-28 08:34:22 UTC
just found a behavior change regaring flickr export.
in DK5.9, once starting the upload, I was abble to go back to DK and continue to work on pictures and Albums
in DK.6.0, once upload started , I'm no more able to navigate on my album. I'm blocked on the flick export screen until export is completed (which can take lots time depending on my network)
Comment 1 Maik Qualmann 2018-09-02 15:26:25 UTC
Git commit c9033851a8fce90935bb746d5a0f70ef5ec0c9b0 by Maik Qualmann.
Committed on 02/09/2018 at 11:02.
Pushed by mqualmann into branch 'master'.

first step to implement a web service starter
Flickr is the first tool used

M  +4    -0    core/app/main/digikamapp.cpp
M  +1    -3    core/app/main/digikamapp_export.cpp
M  +1    -1    core/app/main/digikamapp_p.h
M  +1    -0    core/showfoto/main/showfoto.cpp
M  +1    -3    core/showfoto/main/showfoto_export.cpp
M  +1    -1    core/showfoto/main/showfoto_p.h
M  +1    -0    core/utilities/assistants/webservices/CMakeLists.txt
A  +104  -0    core/utilities/assistants/webservices/common/wsstarter.cpp     [License: GPL (v2+)]
A  +69   -0    core/utilities/assistants/webservices/common/wsstarter.h     [License: GPL (v2+)]
M  +2    -4    core/utilities/imageeditor/main/imagewindow_export.cpp
M  +1    -1    core/utilities/imageeditor/main/imagewindow_p.h
M  +2    -4    core/utilities/lighttable/lighttablewindow_export.cpp
M  +1    -1    core/utilities/lighttable/lighttablewindow_p.h

https://commits.kde.org/digikam/c9033851a8fce90935bb746d5a0f70ef5ec0c9b0
Comment 2 Maik Qualmann 2018-09-02 16:46:45 UTC
Git commit a81335ea4336e80aee5a9f32f7ef5815a6f14ee5 by Maik Qualmann.
Committed on 02/09/2018 at 16:44.
Pushed by mqualmann into branch 'master'.

digiKam GUI export tools use a new web service starter

M  +4    -109  core/app/main/digikamapp_export.cpp
M  +0    -16   core/app/main/digikamapp_p.h
M  +4    -0    core/libs/widgets/mainview/dxmlguiwindow.cpp
M  +1    -1    core/showfoto/main/showfoto_export.cpp
M  +318  -13   core/utilities/assistants/webservices/common/wsstarter.cpp
M  +2    -2    core/utilities/assistants/webservices/common/wsstarter.h
M  +1    -1    core/utilities/imageeditor/main/imagewindow_export.cpp
M  +1    -1    core/utilities/lighttable/lighttablewindow_export.cpp

https://commits.kde.org/digikam/a81335ea4336e80aee5a9f32f7ef5815a6f14ee5
Comment 3 Maik Qualmann 2018-09-02 17:03:52 UTC
Git commit 22d79552b33b916e24e51f14374eef7590777d02 by Maik Qualmann.
Committed on 02/09/2018 at 17:02.
Pushed by mqualmann into branch 'master'.

image editor GUI export tools use a new web service starter

M  +2    -1    core/app/main/digikamapp_export.cpp
M  +5    -124  core/utilities/imageeditor/main/imagewindow_export.cpp
M  +0    -16   core/utilities/imageeditor/main/imagewindow_p.h

https://commits.kde.org/digikam/22d79552b33b916e24e51f14374eef7590777d02
Comment 4 Maik Qualmann 2018-09-02 17:06:09 UTC
Git commit 3e901c5edfc0d105125060b74284cdfaad512fc4 by Maik Qualmann.
Committed on 02/09/2018 at 17:05.
Pushed by mqualmann into branch 'master'.

light table GUI export tools use a new web service starter

M  +5    -123  core/utilities/lighttable/lighttablewindow_export.cpp
M  +0    -16   core/utilities/lighttable/lighttablewindow_p.h

https://commits.kde.org/digikam/3e901c5edfc0d105125060b74284cdfaad512fc4
Comment 5 Maik Qualmann 2018-09-02 17:14:19 UTC
Git commit 557a70780c7f64d59076588df7b04fa0a1ac38fd by Maik Qualmann.
Committed on 02/09/2018 at 17:13.
Pushed by mqualmann into branch 'master'.

showFoto GUI export tools use a new web service starter
FIXED-IN: 6.0.0

M  +4    -107  core/showfoto/main/showfoto_export.cpp
M  +0    -16   core/showfoto/main/showfoto_p.h

https://commits.kde.org/digikam/557a70780c7f64d59076588df7b04fa0a1ac38fd